Summary:	A color VT102 terminal emulator for the X Window System
Name:		rxvt
Epoch:		3
Version:	2.7.10
Release: 	13mdk
License:	GPL
Group:		Terminals

Source:		ftp://ftp.rxvt.org/pub/rxvt/rxvt-%{version}.tar.bz2
Source1:	rxvt.sh
Source2:	rxvt-zh.menu
Source3:	rxvt-CLE-mini.png
Source4:	rxvt-CLE.png
Source5:	rxvt-CLE-large.png

Patch0:		rxvt-2.7.8-big-buffer.patch.bz2
# definition of the default fonts to use depending on language -- pablo 
Patch2:		rxvt-2.7.10-fonts.patch.bz2
# IM fix from http://www.giga.it.okayama-u.ac.jp/~ishihara/opensource/:
Patch3:		rxvt-2.7.10-xim-fix.patch.bz2 

Buildroot:	%{_tmppath}/%name-%{version}-%{release}-root
URL:		http://www.rxvt.org/
Obsoletes:	crxvt gbrxvt rxvt-CLE
Provides:	crxvt gbrxvt rxvt-CLE
BuildRequires:	XFree86-devel xpm-devel utempter-devel
Conflicts:	drakconf < 9.3-25mdk

%package CJK
Summary:	CJK menus for rxvt
Requires:	%{name} = %{epoch}:%{version}-%{release}
Group:		Terminals

%description
Rxvt is a color VT102 terminal emulator for the X Window System.
Rxvt is intended to be an xterm replacement for users who don't need
the more esoteric features of xterm, like Tektronix 4014 emulation,
session logging and toolkit style configurability.  Since it doesn't
support those features, rxvt uses much less swap space than xterm
uses.  This is a significant advantage on a machine which is serving
a large number of X sessions.

The rxvt package should be installed on any machine which serves a
large number of X sessions, if you'd like to improve that machine's
performance.

This version of rxvt can display Japanese, Chinese (Big5 and GuoBiao) 
and Korean.

%description CJK
This package contains the CJK versions of rxvt.

%prep
%setup -q
%patch0 -p1 -b .bigbuf
%patch2 -p1 -b .fonts
%patch3 -p1 -b .im

%build
# NeXT scrollbar is cool :)
perl -pi -e s/-eten-/-\*-/g src/defaultfont.h

export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DUTEMPTER"  
./configure --prefix=/usr/X11R6 \
	--enable-xpm-background --enable-menubar \
	--enable-utmp --enable-ttygid \
	--enable-transparency --enable-next-scroll --enable-rxvt-scroll --enable-xterm-scroll \
	--enable-xim --enable-languages --enable-smart-resize  \
	--enable-mousewheel --enable-static=yes

# make -j doesn't works... seems some Makefile tasks are done in wrong order
#make -j 2
make
cp src/rxvt src/rxvt.cjk
cp src/rxvt src/rxvt.bin

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
touch src/rxvt
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
for i in cjk bin;do
   install -m755 src/rxvt.$i $RPM_BUILD_ROOT/usr/X11R6/bin
done
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt-%{version}

install -m 644 doc/rxvt.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/X11R6/bin

# (fg) 20000925 Make the necessary links
( cd $RPM_BUILD_ROOT/usr/X11R6/bin;
  for i in {gb,c,j,k}rxvt; do
		ln rxvt.sh $i
  done
  ln -s rxvt.sh rxvt
)

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rxvt

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << "EOF" > $RPM_BUILD_ROOT%{_menudir}/rxvt
?package(rxvt):\
  needs="X11"\
  section="Terminals"\
  title="RXvt"\
  longtitle="A version of the rxvt terminal with support for Traditional Chinese, Simplified Chinese, Japanese and Korean."\
  command="/usr/X11R6/bin/rxvt" \
  icon="rxvt-CLE.png"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/rxvt-CJK
?package(rxvt-CJK):\
 needs=x11 section="Terminals" title="CRXvt (Big5)"\
  longtitle="Traditional Chinese rxvt terminal"\
  command="/usr/X11R6/bin/crxvt -ls" \
  icon="rxvt-CJK.png"

?package(rxvt-CJK):\
  needs=x11 section="Terminals" title="GBRXvt (GB2312)"\
  longtitle="Simplified Chinese rxvt terminal"\
  command="/usr/X11R6/bin/gbrxvt -ls" \
  icon="rxvt-CJK.png"

?package(rxvt-CJK):\
  needs=x11 section="Terminals" title="JRXvt (JIS)"\
  longtitle="Japanese rxvt terminal"\
  command="/usr/X11R6/bin/jrxvt -ls" icon="rxvt-CJK.png"

?package(rxvt-CJK):\
  needs=x11 section="Terminals" title="KRXvt (KSC5601)"\
  longtitle="Korean rxvt terminal"\
  command="/usr/X11R6/bin/krxvt -ls" icon="rxvt-CJK.png"
EOF

# (fg) 20000929 New icons from ln
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/{large,mini}
for i in CLE CJK; do
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/rxvt-$i.png
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/%{_iconsdir}/rxvt-$i.png
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/%{_liconsdir}/rxvt-$i.png
done

%post
%{update_menus}
update-alternatives --install /usr/X11R6/bin/xvt xvt /usr/X11R6/bin/rxvt 20

%postun
%{clean_menus}

if [ "$1" = "0" ]; then
    update-alternatives --remove xvt /usr/X11R6/bin/rxvt
fi

%post CJK
%update_menus

%postun CJK
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
/usr/X11R6/bin/rclock
/usr/X11R6/bin/rxvt
/usr/X11R6/bin/rxvt.bin
/usr/X11R6/bin/rxvt.cjk
/usr/X11R6/bin/rxvt.sh
/usr/X11R6/man/man1/*
#%config(missingok,noreplace) /etc/rxvt/rxvt-zh.menu
%{_menudir}/rxvt
%{_iconsdir}/rxvt-CLE.png
%{_liconsdir}/rxvt-CLE.png
%{_miconsdir}/rxvt-CLE.png

%files CJK
%defattr(-,root,root)
/usr/X11R6/bin/crxvt
/usr/X11R6/bin/gbrxvt
/usr/X11R6/bin/jrxvt
/usr/X11R6/bin/krxvt
%{_menudir}/rxvt-CJK
%{_iconsdir}/rxvt-CJK.png
%{_liconsdir}/rxvt-CJK.png
%{_miconsdir}/rxvt-CJK.png

%changelog
* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7.10-13mdk
- patch 3: fix IM support (thus enabling SCIM support in rxvt)

* Thu Sep 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7.10-12mdk
- source 1: use SCIM for CJK by default (UTUMI Hirosi)

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7.10-11mdk
- enable various kinds of scrollbars (#10534)
- fix typo in menu entry

* Wed Jun 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.7.10-10mdk
- Remove the --enable-xgetdefault configure flag

* Sun Feb 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7.10-9mdk
- fix CJK description

* Mon Jan 19 2004 Abel Cheung <deaddog@deaddog.org> 2.7.10-8mdk
- Requires with epoch

* Sun Jan 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7.10-7mdk
- readd back rxvt menu entry now that mcc does not force rxvt installation
  anymore

* Thu Jan 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7.10-6mdk
- update source 1 : fix script (#6867, Olivier Blin)

* Fri Jan 09 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.7.10-5mdk
- Changed wrapper script to avoid overwritten values defined trough
  X11 ressources (bug #180)

* Fri Sep 12 2003 David Baudens <baudens@mandrakesoft.com> 2.7.10-4mdk
- Fix input for Traditional Chinese (<kevin@vega.idv.tw>)

* Wed Sep 03 2003 David Baudens <baudens@mandrakesoft.com> 2.7.10-3mdk
- Remove menu entry for rxvt package (but keep it for CJK package)

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 2.7.10-2mdk
- Rebuild

* Mon May 26 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.7.10-1mdk
- updated to new version
- changed compiled in font names so that they correspond to font names
  we ship.
- changed the default font size in japanese mode (by user request)
- always build with --use-languages so that non-ascii chars can display

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7.8-8mdk
- fix cjk menu entries and merge them into only one file
- ease update from crxvt, gbrxvt and rxvt-CLE
- make it --short-circuit aware

* Tue Apr 1 2003 Vincent Danen <vdanen@mandrakesoft.com> 2.7.8-7mdk
- security update (CAN-2003-022, CAN-2003-023, CAN-2003-066)

* Thu Oct 10 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.8-6mdk
- Bigger buffer.
- Enable mousewheel.

* Wed Aug 07 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.7.8-5mdk
- improved rxvt.sh script to use proper fonts for non-CJK languages
  (well, all those that can be supported by rxvt; utf-8 is not supported)

* Sun Jan 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.8-4mdk
- Back to XTERM=xterm because it breaks screen.

* Sun Jan 20 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.8-3mdk
- Terminal $TERM type set to rxvt.
- Split into devel package.

* Sun Dec 02 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.8-2mdk
- Don't use -mcc by default.

* Thu Nov 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.8-1mdk
- 2.7.8 for general consumption.

* Fri Sep 21 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.7.7-9mdk
- Replace Xcin by Chinput for zh_CN users.

* Thu Sep 20 2001 Pixel <pixel@mandrakesoft.com> 2.7.7-8mdk
- use an existing iso-8859-15 font

* Sun Sep 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.7-7mdk
- Fix rxvt.sh extra parameters work again.

* Sat Sep 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.7-6mdk
- Don't use menu (for consistency).

* Fri Sep 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.7-5mdk
- Upload non-broken rxvt.sh script (Fixes for CJK).

* Thu Sep 13 2001 Pixel <pixel@mandrakesoft.com> 2.7.7-4mdk
- fix euro support by remove unsetting LC_CTYPE LC_MONETARY LC_NUMERIC LC_MESSAGES LC_TIME LC_COLLATE

* Mon Sep 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.7.7-3mdk
- Fix menu entries and add icons for all menu entries
- Requires %%version-%%release and not only %%version
- Add missing files

* Mon Sep 10 2001 Pixel <pixel@mandrakesoft.com> 2.7.7-2mdk
- remove the FNFONT="-schumacher-..."
- change the default noenc FNFONT to iso-15

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.7-1mdk
- 2.7.7.
- TODO: CJK merging.

* Tue Apr 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.6-3mdk
- Pass -mcc to rxvt for CJK.

* Tue Apr 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.6-2mdk
- Compromise: don't make the Western fonts so ugly, but make zh_CN work again.

* Fri Apr 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.6-1mdk
- Make a new and shiny RPM on Good Friday.
- Ported some of the patches:
  - Font patch for CJK.
  - nofgbg patch for mutt.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-19mdk
- Don't have the environment variable COLORFGBG as it seems to be causing
  some strange behavior in console programs. Ugly hack. But ...

* Tue Mar 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-18mdk
- Really fix rxvt.sh script (Andrew Lee).

* Sun Mar 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-17mdk
- Fix buggy rxvt.sh script so things work well again.

* Sun Mar 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-16mdk
- Fix the segfault when shift (+|-).
- Adapt the rxvt.sh script for this change.

* Fri Mar 23 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-15mdk
- fix yet again the grep .Xdefaults .Xresources ...

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-14mdk
- don't use xrdb -query, better grep directly .Xdefaults and .Xresources

* Tue Mar 20 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-13mdk
- as no good solution to set a nice font, xrdb -query and put -fn on command
line based on this

* Sun Mar 18 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-12mdk
- move the app-defaults to /etc/X11 and tag it %%config

* Sun Mar 18 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-11mdk
- european font put in app-defaults instead of giving it to command-line. That
way you can still override it in the X resources

* Sun Mar 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-10mdk
- Add update_menus and clean_menus for the separate menu package.

* Sun Mar 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-9mdk
- Re-add the menu entries for CJK.
- Make the rxvt.sh script smarter, detect locale when xvt is invoked.
- Put CJK menus in a separate package.

* Sun Mar 18 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-8mdk
- change the font of european
- remove the menu entries for exotic languages (not needed)

* Tue Mar 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-7mdk
- Adapt rxvt.sh for Pixel's xvt alternative change.

* Thu Feb  8 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-6mdk
- add as alternative xvt

* Thu Feb  8 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-5mdk
- add as alternative xvt

* Tue Jan 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-4mdk
- make Pixel a happy boy aka use noenc for non CJK.

* Mon Jan 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-3mdk
- added back the metamod patch as asked by Chmou.

* Fri Dec 22 2000 Andrew Lee <andrew@linux.org.tw> 2.7.3-2mdk
- don't use xa+cv in rxvt.sh
- added {c,gb,j,k}rxvt menu entry
- replace manpages

* Thu Dec 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-1mdk
- merge with CLE. (Andrew Lee <andrew@cle.linux.org.tw>)

* Sat Dec 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.1-13mdk
- say goodbye to the non-i18n rxvt.

* Fri Sep 29 2000 Francis Galiegue <fg@mandrakesoft.com> 2.7.1-12mdk
- New icons from LN

* Tue Sep 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.1-11mdk
- LD_PRELOAD libX11 to prevent segfault on some non -lX11 programs. :(

* Mon Sep 25 2000 Francis Galiegue <fg@mandrakesoft.com> 2.7.1-10mdk

- Don't install manpages - they conflict with rxvt

* Mon Sep 25 2000 Francis Galiegue <fg@mandrakesoft.com> 2.7.1-9mdk

- No icon for now :( Waiting for ln...
- Many spec file fixes
- File list fixes

* Tue Sep 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.1-8mdk
- perl -pi -e "s|/usr/share/chinese|/usr/lib/chinese|" *;

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.7.1-7mdk
- automatically added BuildRequires

* Wed May 10 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- small change to scritp so chinese rxvt menu shows correctly
- added lontitle for 'menu' 
- fixed menu section

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2.7.1-5mdk
- Menu Entry

* Fri Dec 10 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed various scripts to enable out of the box Japanese and Korean support

* Tue Dec  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- made a few changes to avoid conflicts with standard rxvt if present

* Mon Nov 22 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- rebuild for mandrake

* Sun Oct 24 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- added utempter patch
- fixed gbrxvt wmconfig bug
- added menu for GNOME & KDE

* Fri Oct 15 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- fixed but with icewm
- added crxvt & gbrxvt wmconfig
- made default fonts to be normal

* Wed Oct  6 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to 2.7.1

* Sun Aug 22 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- use two binaries again
- change rxvt to a script

* Tue Aug 17 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- copy & paste bug fixed
- use one binary for Big5 and GB encoding

* Fri Jul 30 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- let crxvt & gbrxvt be the same file (hard link)

* Sat Jul 24 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- mirror menu and script modified

* Thu Jul 22 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- fixed XIM focus bug (thhsieh)
- added rxvt menu and scripts, obsoleted crxvt 
- removed rxvt.1 from %doc

* Tue Jun 15 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to 2.6.0
- removed GB patch (already including in this release)
- fixed a small bug of GB support

* Thu May 27 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- the GB patch cannot coexist with Big5, so make two binaries is necessary

* Fri May 21 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- added GB patch from <hashao@china.com>

* Thu May 20 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to PRE4

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- added unix98 pty support

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- updated for utmpwrap

* Tue Mar 23 1999 Michael Johnson <johnsonm@redhat.com>
- added back the "old" alt-< and alt-> font change behaviour
- put the manpage in the right place

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 2.6.PRE2.  Marked as unstable, but rxvt is always unstable...

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- fix glibc-2.1 utmpx compilation problem -- add -D_GNU_SOURCE (#638).

* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- bumped spec # for 6.0 build

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fix to enable keypad

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 2.4.7
- old version used to be called 2.20, so now we are Serial: 1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- no paths in wmconfig files.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- make rxvt use standard XGetDefault instead of built-in one.
